<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'SpeakerSession',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div style="background: #f6f3fe" class="slp-py-96">
    <SlpContainer>
      <nuxt-img
        style="width: 32px"
        src="/nuxt-images/icons/events/board-black.svg"
        format="webp"
        quality="99"
      />
      <SlpRow>
        <SlpColumn :cols="7" class="slp-pr-lg-24">
          <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-32">
            {{ data.header }}
          </SlpTypography>
          <div
            v-if="data.text"
            class="information"
            v-html="$md.render(data.text)"
          ></div>
        </SlpColumn>
        <SlpColumn :cols="5">
          <div
            v-for="item in data.speakers"
            :key="item.name"
            class="slp-pb-32 slp-flex"
          >
            <div v-if="item?.image?.src">
              <img
                class="slp-pr-32"
                style="
                  width: 200px;
                  height: 150px;
                  object-fit: cover;
                  object-position: top;
                  border-radius: 4px 4px 90px 4px;
                "
                :src="item?.image?.src"
                :alt="item?.image?.alt"
              />
            </div>
            <div>
              <SlpTypography variant="body1-bold" tag="p">
                {{ item.name }}
              </SlpTypography>
              <SlpTypography variant="body2" tag="p">
                {{ item.title }}
              </SlpTypography>
              <SlpTypography variant="body2-bold" tag="p">
                {{ item.company }}
              </SlpTypography>
            </div>
          </div>
          <SlpButton
            v-if="data.cta?.text"
            :href="data.cta.externalUrl"
            :data-ga-name="data.cta.dataGaName"
            :data-ga-location="data.cta.dataGaLocation"
            >{{ data.cta.text }}</SlpButton
          >
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>
<style lang="scss" scoped>
.information {
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
  :deep {
    strong {
      font-weight: 600;
    }
    p {
      padding-bottom: 16px;
      &:first-of-type {
        padding-bottom: 24px;
      }
      &:last-of-type {
        padding-bottom: 0;
      }
    }
  }
}
</style>
